petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatFactorInfoInitialize

Initializes a MatFactorInfo data structure with default values.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorInfoInitialize(MatFactorInfo *info)

Not Collective Many br

### Input Parameters

info -the MatFactorInfo data structure Many br

Notes: The solvers are generally used through the KSP and PC objects, for example Many brPCLU, PCILU, PCCHOLESKY, PCICC Many br

Many br

### See Also

MatFactorInfo

Developer Note: fortran interface is not autogenerated as the f90 Many brinterface defintion cannot be generated correctly [due to MatFactorInfo] Many br

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages